git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: larsxschneider@gmail.com
To: git@vger.kernel.org
Cc: peff@peff.net, Matthieu.Moy@grenoble-inp.fr, sbeller@google.com,
	gitster@pobox.com, Lars Schneider <larsxschneider@gmail.com>
Subject: [PATCH v4 2/2] travis-ci: build documentation
Date: Wed,  4 May 2016 10:38:36 +0200	[thread overview]
Message-ID: <1462351116-19308-3-git-send-email-larsxschneider@gmail.com> (raw)
In-Reply-To: <1462351116-19308-1-git-send-email-larsxschneider@gmail.com>

From: Lars Schneider <larsxschneider@gmail.com>

Build documentation as separate Travis CI job to check for
documentation errors.

Signed-off-by: Lars Schneider <larsxschneider@gmail.com>
---
 .travis.yml              | 15 +++++++++++++++
 ci/test-documentation.sh | 14 ++++++++++++++
 2 files changed, 29 insertions(+)
 create mode 100755 ci/test-documentation.sh

diff --git a/.travis.yml b/.travis.yml
index 78e433b..55299bd 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -32,6 +32,21 @@ env:
     # t9816 occasionally fails with "TAP out of sequence errors" on Travis CI OS X
     - GIT_SKIP_TESTS="t9810 t9816"
 
+matrix:
+  include:
+    - env: Documentation
+      os: linux
+      compiler: clang
+      addons:
+        apt:
+          packages:
+          - asciidoc
+          - xmlto
+      before_install:
+      before_script:
+      script: ci/test-documentation.sh
+      after_failure:
+
 before_install:
   - >
     case "${TRAVIS_OS_NAME:-linux}" in
diff --git a/ci/test-documentation.sh b/ci/test-documentation.sh
new file mode 100755
index 0000000..579d540
--- /dev/null
+++ b/ci/test-documentation.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# Perform sanity checks on documentation and build it.
+#
+
+set -e
+
+make check-builtins
+make check-docs
+make doc
+
+test -s Documentation/git.html
+test -s Documentation/git.xml
+test -s Documentation/git.1
-- 
2.5.1

  parent reply	other threads:[~2016-05-04  8:38 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-29  9:35 [PATCH v2] travis-ci: build documentation larsxschneider
2016-04-29 12:14 ` Jeff King
2016-04-29 12:21   ` Matthieu Moy
2016-04-29 14:22     ` Lars Schneider
2016-04-29 14:32       ` Jeff King
2016-04-29 17:27     ` Stefan Beller
2016-04-29 17:53       ` Matthieu Moy
2016-04-29 20:44       ` Lars Schneider
2016-04-29 21:05         ` Junio C Hamano
2016-05-02 20:20           ` [PATCH v3 0/2] " larsxschneider
2016-05-02 20:20             ` [PATCH v3 1/2] Documentation: fix linkgit references larsxschneider
2016-05-02 20:34               ` Jeff King
2016-05-03  8:30                 ` Lars Schneider
2016-05-03 15:41                   ` Junio C Hamano
2016-05-03 17:59                     ` Jeff King
2016-05-03 17:58                   ` Jeff King
2016-05-04  8:38                   ` [PATCH v4 0/2] travis-ci: build documentation larsxschneider
2016-05-04  8:38                     ` [PATCH v4 1/2] Documentation: fix linkgit references larsxschneider
2016-05-04  8:43                       ` Lars Schneider
2016-05-04  8:57                         ` Jeff King
2016-05-04 11:38                         ` Ramsay Jones
2016-05-04 17:28                           ` Junio C Hamano
2016-05-04 17:36                             ` Junio C Hamano
2016-05-04 18:52                             ` Junio C Hamano
2016-05-04 19:25                               ` Jeff King
2016-05-04 19:57                                 ` Junio C Hamano
2016-05-04 20:06                                   ` Jeff King
2016-05-04 21:15                                     ` Junio C Hamano
2016-05-04 21:31                                       ` Jeff King
2016-05-04 21:34                                         ` Junio C Hamano
2016-05-04 21:44                                           ` Jeff King
2016-05-04 21:52                                             ` Junio C Hamano
2016-05-04 22:09                                               ` Jeff King
2016-05-04 22:17                                                 ` Junio C Hamano
2016-05-04 22:27                                                   ` Junio C Hamano
2016-05-04 23:28                                                     ` Junio C Hamano
2016-05-04 23:41                                                       ` Jeff King
2016-05-04 23:53                                                         ` Jeff King
2016-05-04 21:54                                     ` Ævar Arnfjörð Bjarmason
2016-05-04 22:11                                       ` Jeff King
2016-05-04  8:38                     ` larsxschneider [this message]
2016-05-10 17:12                       ` [PATCH v4 2/2] travis-ci: build documentation Junio C Hamano
2016-05-13  6:26                         ` Lars Schneider
2016-05-02 20:20             ` [PATCH v3 " larsxschneider
2016-05-02 20:45               ` Junio C Hamano
2016-05-03  8:12                 ` Lars Schneider
2016-05-03 15:43                   ` Junio C Hamano
2016-05-04  8:04                     ` Lars Schneider
2016-05-04  8:18                       ` Eric Wong
2016-05-04  8:19                       ` Junio C Hamano
2016-05-04  9:11                       ` Christian Couder
2016-05-04 11:27                         ` Matthieu Moy
2016-04-29 14:40 ` [PATCH v2] " Matthieu Moy

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1462351116-19308-3-git-send-email-larsxschneider@gmail.com \
    --to=larsxschneider@gmail.com \
    --cc=Matthieu.Moy@grenoble-inp.fr \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=peff@peff.net \
    --cc=sbeller@google.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).